#include <curl/curl.h>
#include <iostream>
#include <vector>
#include <string>
#include "histogram.hpp"
#include "text.hpp"
#include "svg.hpp"
using namespace std;

struct Input {
    vector<double> numbers;
    size_t bin_count{};
};

Input input_data(istream& in, bool prompt = 0) {
    size_t number_count;
    
    if (prompt) cerr << "Введите кол-во чисел в строке: ";
    in >> number_count;
    Input input;
    input.numbers.resize(number_count);
    
    if (prompt) cerr << "Введите строку чисел: ";
    for (int i = 0; i < number_count; i++) {
        in >> input.numbers[i];
    }
    
    if (prompt) cerr << "Введите кол-во корзин: ";
    in >> input.bin_count;
    return input;
}

int main () {
    curl_global_init(CURL_GLOBAL_ALL);
    auto in = input_data(cin);
    auto bins = make_histogram(in.numbers, in.bin_count);
    show_histogram_svg(bins);
    return 0;
}
